import { QueryList, AfterViewChecked, OnInit, ElementRef } from '@angular/core';
import { NgStaticGridItemComponent } from '../item/ng-static-grid-item.component';
import { NgStaticGridModel } from './panel.model';
export declare class NgStaticGridPanelComponent implements OnInit, AfterViewChecked {
    hostElement: ElementRef;
    items: QueryList<NgStaticGridItemComponent>;
    rows?: number;
    columns?: number;
    width?: string;
    height?: string;
    constructor(hostElement: ElementRef);
    ngOnInit(): void;
    ngAfterViewChecked(): void;
    getModel(): NgStaticGridModel;
    setModel(val: NgStaticGridModel): void;
    /**
     * Position all elements in the view
     */
    doPosition(): void;
}
